Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageLuminance Class Reference

`#include <vtkImageLuminance.h>`

Inheritance diagram for vtkImageLuminance:

[legend]
Collaboration diagram for vtkImageLuminance:

[legend]
List of all members.

## Detailed Description

Computes the luminance of the input.

Date:
  2002/01/22 15:32:55

Revision:
  1.20

vtkImageLuminance calculates luminance from an rgb input.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (60%)
  - Martin, Ken (24%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageLuminance.h)`
  - .`cxx` (`/Imaging/vtkImageLuminance.cxx)`

Examples:
  vtkImageLuminance (Examples)

Tests:
  vtkImageLuminance (Tests)

Definition at line 49 of file vtkImageLuminance.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageLuminance * | New ()
int | IsTypeOf (const char *type)
vtkImageLuminance * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageLuminance ()
| ~vtkImageLuminance ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageLuminance::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 53 of file vtkImageLuminance.h.

## Constructor & Destructor Documentation

vtkImageLuminance::vtkImageLuminance | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkImageLuminance.h.

vtkImageLuminance::~vtkImageLuminance | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkImageLuminance.h.

## Member Function Documentation

vtkImageLuminance* vtkImageLuminance::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageLuminance::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageLuminance::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageLuminance::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageLuminance* vtkImageLuminance::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageLuminance::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageLuminance::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 60 of file vtkImageLuminance.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageLuminance::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageLuminance.h